libtotem-plparser18-3.26.0-lp150.2.5.x86_64.rpm


Advertisement

Description

libtotem-plparser18 - A simple GObject-based library to parse playlist formats

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package filename libtotem-plparser18-3.26.0-lp150.2.5.x86_64.rpm
Package name libtotem-plparser18
Package version 3.26.0
Package release lp150.2.5
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://www.gnome.org/projects/totem/
License LGPL-2.0-or-later AND GPL-2.0-or-later
Maintainer -
Download size 79.36 KB
Installed size 165.16 KB
totem-pl-parser is a simple GObject-based library to parse a host of
playlist formats, to save them too.

Alternatives

Package Version Architecture Repository
libtotem-plparser18 - - -

Requires

Name Value
/sbin/ldconfig -
libarchive.so.13()(64bit) -
libc.so.6(GLIBC_2.8)(64bit) -
libgcrypt.so.20()(64bit) -
libgcrypt.so.20(GCRYPT_1.6)(64bit) -
libgio-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgmime-3.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libpthread.so.0()(64bit) -
libxml2.so.2()(64bit) -
libxml2.so.2(LIBXML2_2.4.30)(64bit) -
totem-pl-parser >= 3.26.0

Provides

Name Value
libtotem-plparser.so.18()(64bit) -
libtotem-plparser.so.18(LIBTOTEM_PL_PARSER_MINI_1.0)(64bit) -
libtotem-plparser18 = 3.26.0-lp150.2.5
libtotem-plparser18(x86-64) = 3.26.0-lp150.2.5

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libtotem-plparser18-3.26.0-lp150.2.5.x86_64.rpm
Source Package totem-pl-parser-3.26.0-lp150.2.5.src.rpm

Install Howto

Install libtotem-plparser18 rpm package:

# zypper install libtotem-plparser18

Files

Path
/usr/lib64/libtotem-plparser.so.18
/usr/lib64/libtotem-plparser.so.18.1.1
/usr/share/licenses/libtotem-plparser18/COPYING.LIB

Changelog

2018-03-20 - dimstar@opensuse.org
- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).
2018-02-26 - dimstar@opensuse.org
- Use SPDX3.0 license tags and package COPYING as %license.
2017-09-14 - zaitor@opensuse.org
- Update to version 3.26.0:
+ Updated translations.
2017-08-29 - dimstar@opensuse.org
- Update license following legal review: LGPL-2.1+ AND GPL-2.0+.
2017-08-14 - zaitor@opensuse.org
- Update to version 3.25.90:
+ Correct the soname of the install library.
+ Fix TOTEM_PL_PARSER_CHECK_VERSION() being missing.
+ Fix a small memory leak checking for videosite scripts and
document the internal API.
+ Remove a number of obsolete files.
- Drop totem-pl-parser-header.patch: Fixed upstream.
- Conditionally apply translations-update-upstream BuildRequires
and macro for non-openSUSE only.
- Set sover define to 18, upstream have sorted out it's versioning.
2017-06-22 - dimstar@opensuse.org
- Update to version 3.25.3:
+ Use meson instead of autotools as a build tool.
- Port to meson build system:
+ Add meson and gtk-doc BuildRequires.
+ use meson relevant macros in place of
configure/make/make_install.
+ Delete %{_libdir}/pkgconfig/totem-pl-parser.spec: this file is
being installed by error (bgo#784086).
- Introduce sover defines, set to 19_0_1, used for the shared
library packages. Before setting the variable, the value would
have beeen '18'. This resolts in renaming of the SLPP packages to
* 19_0_1.
- Add totem-pl-parser-header.patch: Use the header template to
create the actual header file.
- Replace pkgconfig(gmime-2.6) with pkgconfig(gmime-3.0) following
upstream changes.
2017-06-21 - zaitor@opensuse.org
- Update to version 3.10.8:
+ Use Unicode in translatable strings.
+ Autotools build changes.
+ Enable videosite support even without quvi.
+ Port from GSimpleAsyncResult to GTask.
+ Fix shadowed URI variable in PLA parser.
+ Add support for GMime 3.0 API.
+ Updated translations.
2016-09-20 - dimstar@opensuse.org
- Update to 3.10.7:
+ Don't consider M3U playlists as text/plain.
+ Simplify ITMS link parsing.
+ Fix mmap error checking.
+ Build fixes.
2015-12-15 - zaitor@opensuse.org
- Update to version 3.10.6:
+ Fix a number of bugs in iTunes link handling and M3U and HLS
playlist parsing.
+ Make it possible to use an alternate helper script to the
default quvi based one.
2015-04-30 - zaitor@opensuse.org
- Update to version 3.10.5:
+ Don't handle HLS playlists served as m3u8.
+ Updated translations.

See Also

Package Description
libtotem_pg5-2.4.4-lp150.3.1.x86_64.rpm Corosync Totem protocol
libtotem_pg5-32bit-2.4.4-lp150.3.1.x86_64.rpm Corosync Totem protocol
libtowitoko2-2.0.7-lp150.182.3.x86_64.rpm Library for PCSC driver for Towitoko Smart Card Readers
libtoxav2-0.2.2-lp150.1.1.x86_64.rpm Audio/Video library for toxcore
libtoxcore2-0.2.2-lp150.1.1.x86_64.rpm Core library for toxcore
libtoxencryptsave2-0.2.2-lp150.1.1.x86_64.rpm Encrypt Save library for toxcore
libtpl-extensions3-0.8.2-lp150.2.5.x86_64.rpm Centralized Logging for the Telepathy Framework Extensions - Shared Library
libtpm_unseal1-1.3.9.1-lp150.2.7.x86_64.rpm Management tools for the TPM hardware (library)
libtracker-common-2_0-2.0.3-lp150.3.1.x86_64.rpm Convenience libraries for Tracker
libtracker-control-2_0-0-2.0.3-lp150.3.1.x86_64.rpm Control library for Tracker
libtracker-miner-2_0-0-2.0.3-lp150.3.1.x86_64.rpm Miner library for Tracker
libtracker-sparql-2_0-0-2.0.3-lp150.3.1.x86_64.rpm Sparql library for Tracker
libtranscript-devel-0.3.2-lp150.1.7.x86_64.rpm Development files for libtranscript, a character conversion library
libtranscript1-0.3.2-lp150.1.7.x86_64.rpm A character conversion library
libtranslate-devel-0.99-lp150.1.6.x86_64.rpm Header files for libtranslate
Advertisement
Advertisement